For the complete documentation index, see llms.txt. This page is also available as Markdown.

Materials

Get materials

get
/materials/

This api is used to sync materials with WorkorderApp. Each material record can contain the following data:

Parameter
Required
Type (size)

code

Y

Varchar (255)

description

Y

Text (64kb)

price

Y

Decimal

unit

Y

Varchar (255)

eancode

N

Varchar (55)

barcode

N

Varchar (55)

freefield1

N

Varchar (255)

freefield2

N

Varchar (255)

freefield3

N

Varchar (255)

freefield4

N

Varchar (255)

freefield5

N

Varchar (255)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

get/materials/
GET /materials/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Add materials

post
/materials/

This api is used to sync materials with WorkorderApp. Each material record can contain the following data:

Parameter
Required
Type (size)

code

Y

Varchar (255)

description

Y

Text (64kb)

price

Y

Decimal

unit

Y

Varchar (255)

eancode

N

Varchar (55)

barcode

N

Varchar (55)

freefield1

N

Varchar (255)

freefield2

N

Varchar (255)

freefield3

N

Varchar (255)

freefield4

N

Varchar (255)

freefield5

N

Varchar (255)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

post/materials/
POST /materials/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Last updated

Was this helpful?